					; convert angles in degs to rads
(defun dtr (a)
  (* pi (/ a 180.00))
)

					;***** Convert Radiuns to Degrees
(defun rtd (a)
  (/ (* a 180.00) pi)
)

(defun c:gate2 (/ p1 p2 d1 an1 midpt ang2 defang ang3 endpt1 endpt2 a1ang1 a1ang2)
  (setq	p1     (getpoint "\nPick gate hinge point: ")
	p2     (getpoint "\nPick gate end point: ")
	d1     (distance p1 p2)
	ang1   (angle p1 p2)
	midpt  (polar p1 (/ d1 2.0) ang1)
	ang2   (getangle p1 "\nAngle of gate: ")
	defang (- ang1 ang2)
  )
  (setq	ang3   (+ (+ ang1 (dtr 180.0) defang))
	endpt1 (polar p1 ang2 (/ d1 2.0))
	endpt2 (polar p2 ang3 (/ d1 2.0))
  )
  (if (> ang1 ang2)
    (progn
      (setq a1ang1 ang2
	    a1ang2 ang1
	    a2ang1 (+ ang1 (dtr 180.0))
	    a2ang2 ang3
      )
    )
    (progn
      (setq a1ang1 ang1
	    a1ang2 ang2
	    a2ang1 ang3
	    a2ang2 (+ ang1 (dtr 180.0))
      )
    )
  )					;end if
  (entmake (list (cons 0 "LINE")
		 (cons 10 p1)
		 (cons 11 endpt1)
	   )
  )
  (entmake (list (cons 0 "line")
		 (cons 10 p2)
		 (cons 11 endpt2)
	   )
  )
  (entmake (list (cons 0 "arc")
		 (cons 10 p1)
		 (cons 40 (/ d1 2.0))
		 (cons 50 a1ang1)
		 (cons 51 a1ang2)
	   )
  )
  (entmake (list (cons 0 "arc")
		 (cons 10 p2)
		 (cons 40 (/ d1 2.0))
		 (cons 50 a2ang1)
		 (cons 51 a2ang2)
	   )
  )
)					;end function

